org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid

## Class ValidLRAParticipant

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid.ValidLRAParticipant

    @ApplicationScoped
     @Path(value="valid-nonjaxrs")
    public class ValidLRAParticipant
    extends Object

TCK valid LRA participant containing a combination of valid participant method signatures

### Field Summary

Fields
`static String` `ENLIST_WITH_COMPENSATE`
`static String` `ENLIST_WITH_COMPLETE`
`static String` `RESOURCE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`ValidLRAParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `acceptLRA(Integer recoveryPasses)`
`ParticipantStatus` `compensate(URI lraId)`
`void` `completeWithException(URI lraId, URI parentId)`
`jakarta.ws.rs.core.Response` `enlistWithCompensate(URI lraId)`
`jakarta.ws.rs.core.Response` `enlistWithComplete(URI lraId)`
`void` `forget(URI lraId)`
`jakarta.ws.rs.core.Response` `getAcceptLRA()`
`void` `onLRAEnd(URI lraId, LRAStatus status)`
`jakarta.ws.rs.core.Response` `status(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RESOURCE_PATH

    public static final String RESOURCE_PATH

See Also:
  Constant Field Values

#### ENLIST_WITH_COMPLETE

    public static final String ENLIST_WITH_COMPLETE

See Also:
  Constant Field Values

#### ENLIST_WITH_COMPENSATE

    public static final String ENLIST_WITH_COMPENSATE

See Also:
  Constant Field Values

### Constructor Detail

#### ValidLRAParticipant

    public ValidLRAParticipant()

### Method Detail

#### enlistWithComplete

    @GET
     @Path(value="nonjaxrs-enlist-complete")
    public jakarta.ws.rs.core.Response enlistWithComplete(@HeaderParam(value="Long-Running-Action")
                                                                                                        URI lraId)

#### enlistWithCompensate

    @GET
     @Path(value="nonjaxrs-enlist-compensate")
    public jakarta.ws.rs.core.Response enlistWithCompensate(@HeaderParam(value="Long-Running-Action")
                                                                                                            URI lraId)

#### onLRAEnd

    public void onLRAEnd(URI lraId,
                         LRAStatus status)

#### completeWithException

    public void completeWithException(URI lraId,
                                      URI parentId)

#### compensate

    public ParticipantStatus compensate(URI lraId)

#### status

    public jakarta.ws.rs.core.Response status(URI lraId)

#### forget

    public void forget(URI lraId)

#### acceptLRA

    @PUT
     @Path(value="/accept")
    public jakarta.ws.rs.core.Response acceptLRA(@QueryParam(value="recoveryCount") @DefaultValue(value="0")
                                                                              Integer recoveryPasses)

#### getAcceptLRA

    @GET
     @Path(value="/accept")
    public jakarta.ws.rs.core.Response getAcceptLRA()